SQLQuery.RootReturn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface SQLQuery.RootReturn

Enclosing interface:
  SQLQuery

    public static interface SQLQuery.RootReturn

Allows access to further control how root returns are mapped back from result sets

Method Summary
`SQLQuery.ReturnProperty` | `addProperty(String propertyName)` Add a property, presumably with more than one column.
`SQLQuery.RootReturn` | `addProperty(String propertyName, String columnAlias)` Add a simple property-to-one-column mapping
`SQLQuery.RootReturn` | `setDiscriminatorAlias(String columnAlias)` Name the column alias that identifies the entity's discriminator
`SQLQuery.RootReturn` | `setLockMode(LockMode lockMode)` Set the lock mode for this return

Method Detail

### setLockMode

    SQLQuery.RootReturn setLockMode(LockMode lockMode)

  Set the lock mode for this return

  Parameters:
    `lockMode` - The new lock mode.
  Returns:
    `this`, for method chaining

### setDiscriminatorAlias

    SQLQuery.RootReturn setDiscriminatorAlias(String columnAlias)

  Name the column alias that identifies the entity's discriminator

  Parameters:
    `columnAlias` - The discriminator column alias
  Returns:
    `this`, for method chaining

### addProperty

    SQLQuery.RootReturn addProperty(String propertyName,
                                    String columnAlias)

  Add a simple property-to-one-column mapping

  Parameters:
    `propertyName` - The name of the property.
    `columnAlias` - The name of the column
  Returns:
    `this`, for method chaining

### addProperty

    SQLQuery.ReturnProperty addProperty(String propertyName)

  Add a property, presumably with more than one column.

  Parameters:
    `propertyName` - The name of the property.
  Returns:
    The config object for further control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.